%define prefix /usr/local
%define buildmtjs 0
%define mozilla_includes /usr/local/mozilla/include
%define mozilla_libs /usr/local/mozilla/lib

Summary: Pavuk WWW Graber
Name: pavuk
Version: 0.9pl28
Release: 1
Serial: 1
Copyright: GPL
Packager: Stefan Ondrejicka <ondrej@idata.sk>
Group: Networking/Utilities
Source: ftp://ftp.idata.sk/pub/unix/www/pavuk-%{PACKAGE_VERSION}.tgz
BuildRoot: /tmp/pavuk_root/
URL: http://www.idata.sk/~ondrej/pavuk/
Provides: pavuk

%description
WWW graber used to mirror files located on HTTP, HTTPS, FTP, Gopher servers.

%package gtk
Summary: A version of pavuk w gtk support
Group: Networking/Utilities
Requires: pavuk
%description gtk
pavuk with gtk interface

%package mt-nox
Summary: A multi-threaded version of pavuk
Group: Networking/Utilities
Requires: pavuk
%description mt-nox
multi-threaded version of pavuk

%package mt-gtk
Summary: A multi-threaded version of pavuk with gtk
Group: Networking/Utilities
Requires: pavuk-gtk
%description mt-gtk
multi threaded pavuk with gtk interface

%if %{buildmtjs}
%package mt-js
Summary: A multi-threaded version of pavuk with gtk and mozilla javascript lib
Group: Networking/Utilities
Requires: pavuk-gtk
%description mt-js
multi-threaded version of pavuk linked with mozilla javascript library
%endif

%prep
%setup -q

%build
export CC='gcc -pipe'
export CFLAGS="$RPM_OPT_FLAGS"

# mt-nox
./configure --prefix=%{prefix} --enable-threads --disable-gtk
make -j3
mv src/pavuk src/pavuk-mt-nox

# mt-gtk
make clean
./configure --prefix=%{prefix} --enable-threads
make -j3
mv src/pavuk src/pavuk-mt-gtk

%if %{buildmtjs}
# mt-js
make clean
./configure --prefix=%{prefix} --with-js-includes=%{mozilla_include} --with-js-libraries=%{mozilla_libs} --enable-threads
make -j3
mv src/pavuk src/pavuk-mt-js
%endif

# default not mt, no gtk
make clean
./configure --prefix=%{prefix} --disable-gtk
make -j3
mv src/pavuk src/pavuk-default

# gtk
make clean
./configure --prefix=%{prefix}
make -j3
mv src/pavuk src/pavuk-gtk

ln src/pavuk-default src/pavuk
touch src/pavuk

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -pd src/pavuk-gtk $RPM_BUILD_ROOT/usr/bin
cp -pd src/pavuk-mt-nox $RPM_BUILD_ROOT/usr/bin
cp -pd src/pavuk-mt-gtk $RPM_BUILD_ROOT/usr/bin
%if %{buildmtjs}
cp -pd src/pavuk-mt-js $RPM_BUILD_ROOT/usr/bin
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%doc AUTHORS COPYING ChangeLog FAQ NEWS README INSTALL BUGS TODO CREDITS pavukrc.sample pavuk_authinfo.sample jsbind.txt pavuk.lsm MAILINGLIST wget-pavuk.HOWTO button_icons/

%{prefix}/bin/pavuk
%{prefix}/man/man1

%files gtk
%{prefix}/bin/pavuk-gtk
%{prefix}/share/locale/*/LC_MESSAGES/pavuk.mo
/usr/share/gnome/apps/Internet/pavuk.desktop
/usr/share/pixmaps/pavuk_64x64.xpm

%files mt-nox
%{prefix}/bin/pavuk-mt-nox

%files mt-gtk
%{prefix}/bin/pavuk-mt-gtk

%if %{buildmtjs}
%files mt-js
%{prefix}/bin/pavuk-mt-js
%endif
